<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:resources.j2c="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.j2c.xmi" xmlns:resources.jdbc="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.jdbc.xmi" xmlns:resources.jms="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.jms.xmi" xmlns:resources.jms.internalmessaging="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.jms.internalmessaging.xmi" xmlns:resources.mail="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.mail.xmi" xmlns:resources.url="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.url.xmi">
  <resources.jms:JMSProvider xmi:id="builtin_jmsprovider" name="WebSphere JMS Provider" description="Built-in WebSphere JMS Provider" externalInitialContextFactory="" externalProviderURL="">
    <factories xmi:type="resources.jms.internalmessaging:WASQueueConnectionFactory" xmi:id="WASQueueConnectionFactory_1074978091687" name="QueueConnectionFactory" jndiName="jms/QueueConnectionFactory" authMechanismPreference="BASIC_PASSWORD" authDataAlias="carbon07Manager/SPECJ04" XAEnabled="true" node="carbon07">
      <connectionPool xmi:id="ConnectionPool_1074978091687"/>
      <mapping xmi:id="MappingModule_1074978091687" mappingConfigAlias="DefaultPrincipalMapping" authDataAlias="carbon07Manager/SPECJ04"/>
      <sessionPool xmi:id="ConnectionPool_1074978091688"/>
    </factories>
    <factories xmi:type="resources.jms.internalmessaging:WASQueue" xmi:id="WASQueue_1074978165227" name="BuyerQueue" jndiName="BuyerQueue" persistence="PERSISTENT" priority="APPLICATION_DEFINED" specifiedPriority="0" expiry="APPLICATION_DEFINED" specifiedExpiry="0"/>
    <factories xmi:type="resources.jms.internalmessaging:WASQueue" xmi:id="WASQueue_1074978221126" name="FulfillOrderQueue" jndiName="FulfillOrderQueue" persistence="PERSISTENT" priority="APPLICATION_DEFINED" specifiedPriority="0" expiry="APPLICATION_DEFINED" specifiedExpiry="0"/>
    <factories xmi:type="resources.jms.internalmessaging:WASQueue" xmi:id="WASQueue_1074978321074" name="ReceiveQueue" jndiName="ReceiveQueue" persistence="PERSISTENT" priority="APPLICATION_DEFINED" specifiedPriority="0" expiry="APPLICATION_DEFINED" specifiedExpiry="0"/>
    <factories xmi:type="resources.jms.internalmessaging:WASQueue" xmi:id="WASQueue_1082330974232" name="LargeOrderQueue" jndiName="LargeOrderQueue" persistence="PERSISTENT" priority="APPLICATION_DEFINED" specifiedPriority="0" expiry="APPLICATION_DEFINED" specifiedExpiry="0"/>
  </resources.jms:JMSProvider>
  <resources.jms:JMSProvider xmi:id="builtin_mqprovider" name="WebSphere MQ JMS Provider" description="WebSphere MQ JMS Provider" externalInitialContextFactory="" externalProviderURL="">
    <classpath>${MQJMS_LIB_ROOT}</classpath>
    <nativepath>${MQJMS_LIB_ROOT}</nativepath>
  </resources.jms:JMSProvider>
  <resources.j2c:J2CResourceAdapter xmi:id="builtin_rra" name="WebSphere Relational Resource Adapter" description="Built-in Relational Resource Adapter for Container Managed Persistence" archivePath="${WAS_LIBS_DIR}/rsadapter.rar">
    <factories xmi:type="resources.jdbc:CMPConnectorFactory" xmi:id="CMPConnectorFactory_1074977467293" name="SPECDB-CLI_CF" authMechanismPreference="BASIC_PASSWORD" authDataAlias="carbon07Manager/SPECJ04" cmpDatasource="DataSource_1074977467293">
      <propertySet xmi:id="J2EEResourcePropertySet_1074977467293">
        <resourceProperties xmi:id="J2EEResourceProperty_1074977467293" name="TransactionResourceRegistration" type="java.lang.String" value="dynamic" description="Type of transaction resource registration (enlistment).  Valid values are either &quot;static&quot; (immediate) or &quot;dynamic&quot; (deferred)."/>
        <resourceProperties xmi:id="J2EEResourceProperty_1074977467294" name="InactiveConnectionSupport" type="java.lang.Boolean" value="true" description="Specify whether connection handles support implicit reactivation. (Smart Handle support). Value may be &quot;true&quot; or &quot;false&quot;."/>
      </propertySet>
      <mapping xmi:id="MappingModule_1074977467293" mappingConfigAlias="DefaultPrincipalMapping" authDataAlias="carbon07Manager/SPECJ04"/>
    </factories>
    <factories xmi:type="resources.jdbc:CMPConnectorFactory" xmi:id="CMPConnectorFactory_1075474610199" name="SPECUtilDB-CLI_CF" authMechanismPreference="BASIC_PASSWORD" authDataAlias="carbon07Manager/SPECJ04" cmpDatasource="DataSource_1074977615604">
      <propertySet xmi:id="J2EEResourcePropertySet_1075474610199">
        <resourceProperties xmi:id="J2EEResourceProperty_1075474610199" name="TransactionResourceRegistration" type="java.lang.String" value="dynamic" description="Type of transaction resource registration (enlistment).  Valid values are either &quot;static&quot; (immediate) or &quot;dynamic&quot; (deferred)."/>
        <resourceProperties xmi:id="J2EEResourceProperty_1075474610200" name="InactiveConnectionSupport" type="java.lang.Boolean" value="true" description="Specify whether connection handles support implicit reactivation. (Smart Handle support). Value may be &quot;true&quot; or &quot;false&quot;."/>
      </propertySet>
      <mapping xmi:id="MappingModule_1075474610199" mappingConfigAlias="DefaultPrincipalMapping" authDataAlias="carbon07Manager/SPECJ04"/>
    </factories>
    <factories xmi:type="resources.jdbc:CMPConnectorFactory" xmi:id="CMPConnectorFactory_1080055869736" name="SPECDB_CF" authMechanismPreference="BASIC_PASSWORD" authDataAlias="carbon07Manager/SPECJ04" cmpDatasource="DataSource_1080055869736">
      <propertySet xmi:id="J2EEResourcePropertySet_1080055869736">
        <resourceProperties xmi:id="J2EEResourceProperty_1080055869736" name="TransactionResourceRegistration" type="java.lang.String" value="dynamic" description="Type of transaction resource registration (enlistment).  Valid values are either &quot;static&quot; (immediate) or &quot;dynamic&quot; (deferred)."/>
        <resourceProperties xmi:id="J2EEResourceProperty_1080055869737" name="InactiveConnectionSupport" type="java.lang.Boolean" value="true" description="Specify whether connection handles support implicit reactivation. (Smart Handle support). Value may be &quot;true&quot; or &quot;false&quot;."/>
      </propertySet>
      <mapping xmi:id="MappingModule_1080055869736" mappingConfigAlias="DefaultPrincipalMapping" authDataAlias="carbon07Manager/SPECJ04"/>
    </factories>
    <factories xmi:type="resources.jdbc:CMPConnectorFactory" xmi:id="CMPConnectorFactory_1082503882854" name="SPECUtilDB_CF" authMechanismPreference="BASIC_PASSWORD" authDataAlias="carbon07Manager/SPECJ04" cmpDatasource="DataSource_1080056137083">
      <propertySet xmi:id="J2EEResourcePropertySet_1082503882854">
        <resourceProperties xmi:id="J2EEResourceProperty_1082503882854" name="TransactionResourceRegistration" type="java.lang.String" value="dynamic" description="Type of transaction resource registration (enlistment).  Valid values are either &quot;static&quot; (immediate) or &quot;dynamic&quot; (deferred)."/>
        <resourceProperties xmi:id="J2EEResourceProperty_1082503882855" name="InactiveConnectionSupport" type="java.lang.Boolean" value="true" description="Specify whether connection handles support implicit reactivation. (Smart Handle support). Value may be &quot;true&quot; or &quot;false&quot;."/>
      </propertySet>
      <mapping xmi:id="MappingModule_1082503882854" mappingConfigAlias="DefaultPrincipalMapping" authDataAlias="carbon07Manager/SPECJ04"/>
    </factories>
    <propertySet xmi:id="J2EEResourcePropertySet_8">
      <resourceProperties xmi:id="J2EEResourceProperty_31" name="TransactionResourceRegistration" type="java.lang.String" value="dynamic" description="Type of transaction resource registration (enlistment).  Valid values are either &quot;static&quot; (immediate) or &quot;dynamic&quot; (deferred)."/>
      <resourceProperties xmi:id="J2EEResourceProperty_32" name="InactiveConnectionSupport" type="java.lang.Boolean" value="true" description="Specify whether connection handles support implicit reactivation. (Smart Handle support). Value may be &quot;true&quot; or &quot;false&quot;."/>
    </propertySet>
  </resources.j2c:J2CResourceAdapter>
  <resources.mail:MailProvider xmi:id="builtin_mailprovider" name="Built-in Mail Provider" description="The built-in mail provider">
    <protocolProviders xmi:id="builtin_smtp" protocol="smtp" classname="com.sun.mail.smtp.SMTPTransport" type="TRANSPORT"/>
    <protocolProviders xmi:id="builtin_pop3" protocol="pop3" classname="com.sun.mail.pop3.POP3Store" type="STORE"/>
    <protocolProviders xmi:id="builtin_imap" protocol="imap" classname="com.sun.mail.imap.IMAPStore" type="STORE"/>
  </resources.mail:MailProvider>
  <resources.url:URLProvider xmi:id="URLProvider_1" name="Default URL Provider" streamHandlerClassName="unused" protocol="unused"/>
  <resources.jdbc:JDBCProvider xmi:id="JDBCProvider_1074977226873" name="DB2 Legacy CLI-based Type 2 JDBC Driver (XA)" description="DB2 JDBC2-compliant Provider" implementationClassName="COM.ibm.db2.jdbc.DB2XADataSource" xa="true">
    <classpath>/home/db2inst1/sqllib/java/db2java.zip</classpath>
    <factories xmi:type="resources.jdbc:DataSource" xmi:id="DataSource_1074977467293" name="SPECDB-CLI" jndiName="jdbc/SPECDB_cli" description="SPECJ04 JDBC Datasource" authMechanismPreference="BASIC_PASSWORD" authDataAlias="carbon07Manager/SPECJ04" statementCacheSize="40" datasourceHelperClassname="com.ibm.websphere.rsadapter.DB2DataStoreHelper" relationalResourceAdapter="builtin_rra">
      <propertySet xmi:id="J2EEResourcePropertySet_1074977467294">
        <resourceProperties xmi:id="J2EEResourceProperty_1074977467295" name="databaseName" type="java.lang.String" value="specj04" description="This is a required property. The database name. For example, enter sample to make your Data Source point to jdbc:db2:sample." required="true"/>
      </propertySet>
      <connectionPool xmi:id="ConnectionPool_1074977467316" connectionTimeout="1800" maxConnections="30" minConnections="30" reapTime="180" unusedTimeout="1800" agedTimeout="0" purgePolicy="EntirePool"/>
      <mapping xmi:id="MappingModule_1074977467294" mappingConfigAlias="DefaultPrincipalMapping" authDataAlias="carbon07Manager/SPECJ04"/>
    </factories>
    <factories xmi:type="resources.jdbc:DataSource" xmi:id="DataSource_1074977615604" name="SPECUtilDB-CLI" jndiName="jdbc/SPECUtilDB_cli" description="SPECJ04 SPECUtilDB JDBC Datasource" authMechanismPreference="BASIC_PASSWORD" authDataAlias="carbon07Manager/SPECJ04" statementCacheSize="10" datasourceHelperClassname="com.ibm.websphere.rsadapter.DB2DataStoreHelper" relationalResourceAdapter="builtin_rra">
      <propertySet xmi:id="J2EEResourcePropertySet_1074977615604">
        <resourceProperties xmi:id="J2EEResourceProperty_1074977615604" name="databaseName" type="java.lang.String" value="specj04" description="This is a required property. The database name. For example, enter sample to make your Data Source point to jdbc:db2:sample." required="true"/>
      </propertySet>
      <connectionPool xmi:id="ConnectionPool_1074977615623" connectionTimeout="1800" maxConnections="5" minConnections="5" reapTime="180" unusedTimeout="1800" agedTimeout="0" purgePolicy="EntirePool"/>
      <mapping xmi:id="MappingModule_1074977615605" mappingConfigAlias="DefaultPrincipalMapping" authDataAlias="carbon07Manager/SPECJ04"/>
    </factories>
  </resources.jdbc:JDBCProvider>
  <resources.jdbc:JDBCProvider xmi:id="JDBCProvider_1080055620834" name="DB2 Universal JDBC Driver Provider (XA)" description="DB2 Universal JDBC Driver-compliant Provider" implementationClassName="com.ibm.db2.jcc.DB2XADataSource" xa="true">
    <classpath>/home/db2inst1/sqllib/java/db2jcc.jar</classpath>
    <classpath>/home/db2inst1/sqllib/java/db2jcc_license_cu.jar</classpath>
    <classpath>/home/db2inst1/sqllib/java/db2jcc_license_cisuz.jar</classpath>
    <factories xmi:type="resources.jdbc:DataSource" xmi:id="DataSource_1080055869736" name="SPECDB" jndiName="jdbc/SPECDB" description="DB2 Universal Driver Datasource" authMechanismPreference="BASIC_PASSWORD" authDataAlias="carbon07Manager/SPECJ04" statementCacheSize="40" datasourceHelperClassname="com.ibm.websphere.rsadapter.DB2UniversalDataStoreHelper" relationalResourceAdapter="builtin_rra">
      <propertySet xmi:id="J2EEResourcePropertySet_1080055869737">
        <resourceProperties xmi:id="J2EEResourceProperty_1080055869738" name="databaseName" type="java.lang.String" value="SPECJ04" description="This is a required property. This is an actual database name, and its not the locally catalogued database name. The Universal JDBC Driver does not rely on information catalogued in the DB2 database directory." required="true"/>
        <resourceProperties xmi:id="J2EEResourceProperty_1080055869739" name="driverType" type="java.lang.Integer" value="2" description="The JDBC connectivity-type of a data source. The only permitted value is 2." required="true"/>
      </propertySet>
      <connectionPool xmi:id="ConnectionPool_1080055869744" connectionTimeout="1800" maxConnections="30" minConnections="30" reapTime="180" unusedTimeout="1800" agedTimeout="0" purgePolicy="EntirePool"/>
      <mapping xmi:id="MappingModule_1080055869737" mappingConfigAlias="DefaultPrincipalMapping" authDataAlias="carbon07Manager/SPECJ04"/>
    </factories>
    <factories xmi:type="resources.jdbc:DataSource" xmi:id="DataSource_1080056137083" name="SPECUtilDB" jndiName="jdbc/SPECUtilDB" description="DB2 Universal Driver Datasource" authMechanismPreference="BASIC_PASSWORD" authDataAlias="carbon07Manager/SPECJ04" statementCacheSize="10" datasourceHelperClassname="com.ibm.websphere.rsadapter.DB2UniversalDataStoreHelper" relationalResourceAdapter="builtin_rra">
      <propertySet xmi:id="J2EEResourcePropertySet_1080056137084">
        <resourceProperties xmi:id="J2EEResourceProperty_1080056137085" name="databaseName" type="java.lang.String" value="specj04" description="This is a required property. This is an actual database name, and its not the locally catalogued database name. The Universal JDBC Driver does not rely on information catalogued in the DB2 database directory." required="true"/>
        <resourceProperties xmi:id="J2EEResourceProperty_1080056137086" name="driverType" type="java.lang.Integer" value="2" description="The JDBC connectivity-type of a data source. The only permitted value is 2." required="true"/>
      </propertySet>
      <connectionPool xmi:id="ConnectionPool_1080056137097" connectionTimeout="1800" maxConnections="20" minConnections="20" reapTime="180" unusedTimeout="1800" agedTimeout="0" purgePolicy="EntirePool"/>
      <mapping xmi:id="MappingModule_1080056137084" mappingConfigAlias="DefaultPrincipalMapping" authDataAlias="carbon07Manager/SPECJ04"/>
    </factories>
  </resources.jdbc:JDBCProvider>
</xmi:XMI>
